<?php

/*


function getState($s_name){

$clean_state=str_replace('_',' ',$s_name);
	switch ($clean_state){ 
	case 'אוהיו':  $state_short='OH'; break;
	case 'אוקלהומה':  $state_short='OK'; break;
	case 'אורגון':  $state_short='OR'; break;
	case 'איווה':  $state_short='IA'; break;
	case 'איידהו':  $state_short='ID'; break;
	case 'אילינוי':  $state_short='IL'; break;
	case 'אינדיאנה':  $state_short='IN'; break;
	case 'אלבמה':  $state_short='AL'; break;
	case 'אלסקה':  $state_short='AK'; break;
	case 'אריזונה':  $state_short='AZ'; break;
	case 'ארקנסו':  $state_short='AR'; break;
	case "ג'ורג'יה":  $state_short='GA'; break;
	case 'דלוור':  $state_short='DE'; break;
	case 'דקוטה הדרומית':  $state_short='SD'; break;
	case 'דקוטה הצפונית':  $state_short='ND'; break;
	case 'הוואי':  $state_short='HI'; break;
	case 'ויומינג':  $state_short='WY'; break;
	case 'וושינגטון':  $state_short='WA'; break;
	case 'ויסקונסין':  $state_short='WI'; break;
	case "וירג'יניה":  $state_short='VA'; break;
	case "וירג'יניה המערבית":  $state_short='WV'; break;
	case 'ורמונט':  $state_short='VT'; break;
	case 'טנסי':  $state_short='TN'; break;
	case 'טקסס':  $state_short='TX'; break;
	case 'יוטה':  $state_short='UT'; break;
	case 'לואיזיאנה':  $state_short='LA'; break;
	case 'מונטנה':  $state_short='MT'; break;
	case 'מיזורי':  $state_short='MO'; break;
	case 'מיין':  $state_short='ME'; break;
	case 'מינסוטה':  $state_short='MN'; break;
	case 'מיסיסיפי':  $state_short='MS'; break;
	case 'מישיגן':  $state_short='MI'; break;
	case "מסצ'וסטס":  $state_short='MA'; break;
	case 'מרילנד':  $state_short='MD'; break;
	case 'נבדה':  $state_short='NV'; break;
	case 'נברסקה':  $state_short='NE'; break;
	case "ניו ג'רזי":  $state_short='NJ'; break;
	case 'ניו המפשייר':  $state_short='NH'; break;
	case 'ניו יורק':  $state_short='NY'; break;
	case 'ניו מקסיקו':  $state_short='NM'; break;
	case 'פלורידה':  $state_short='FL'; break;
	case 'פנסילבניה':  $state_short='PA'; break;
	case 'קולורדו':  $state_short='CO'; break;
	case 'קונטיקט':  $state_short='CT'; break;
	case 'קליפורניה':  $state_short='CA'; break;
	case 'קנזס':  $state_short='KS'; break;
	case 'קנטקי':  $state_short='KY'; break;
	case 'קרוליינה הדרומית':  $state_short='SC'; break;
	case 'קרוליינה הצפונית':  $state_short='NC'; break;
	case 'רוד איילנד':  $state_short='RI'; break; 	 	
	}
	return $state_short;
}
*/
function MonthName($EN_name) {
	switch ($EN_name){
		case 'Jan':  $HE_name='ינואר'; break;
		case 'Fab':  $HE_name='פברואר'; break;
		case 'Mar':  $HE_name='מרץ'; break;
		case 'Apr':  $HE_name='אפריל'; break;
		case 'May':  $HE_name='מאי'; break;
		case 'Jun':  $HE_name='יוני'; break;
		case 'Jul':  $HE_name='יולי'; break;
		case 'Aug':  $HE_name='אוגוסט'; break;
		case 'Sep':  $HE_name='ספטמבר'; break;
		case 'Oct':  $HE_name='אוקטובר'; break;
		case 'Nov':  $HE_name='נובמבר'; break;
		case 'Dec':  $HE_name='דצמבר'; break;	
		}
	return $HE_name;
}


function dayName($EN_day) {
switch ($EN_day){
	case 'Sun':  $HE_day='ראשון'; $day_num='1'; break; 
	case 'Mon':  $HE_day='שני'; $day_num='2'; break;
	case 'Tue':  $HE_day='שלישי'; $day_num='3'; break;
	case 'Wed':  $HE_day='רביעי';  $day_num='4'; break;
	case 'Thu':  $HE_day='חמישי'; $day_num='5';  break;
	case 'Fri':  $HE_day='שישי'; $day_num='6'; break;
	case 'Sat':  $HE_day='שבת'; $day_num='7'; break;
	}
	return  $HE_day.'|'.$day_num;
}


function HeCon($con_code){
	switch ($con_code){
		case 0: $con_txt='טורנדו';	break;
	case 1: $con_txt='סופה טרופית';	break;
	case 2: $con_txt='הוריקן';	break;
	case 3: $con_txt='סופות רעמים חזקות';	break;	
	case 4: $con_txt='סופות רעמים';	break;
	case 5: $con_txt='גשום עם שלג';	break;
	case 6: $con_txt='גשום עם קרח';	break;
	case 7: $con_txt='מושלג עם קרח';	break;
	case 8: $con_txt='טפטפוף קפוא';	break;
	case 9: $con_txt='טפטוף';	break;
	case 10: $con_txt='ברד';	break;
	case 11: $con_txt='ממטרים';	break;
	case 12: $con_txt='ממטרים';	break;
	case 13: $con_txt='סערות שלג';	break;
	case 14: $con_txt='סופות שלג קלות';	break;
	case 15: $con_txt='משבי שלג';	break;
	case 16: $con_txt='שלג';	break;
	case 17: $con_txt='ברד';	break;
	case 18: $con_txt='גשם קפוא';	break;
	case 19: $con_txt='אבק';	break;
	case 20: $con_txt='מעורפל';	break;
	case 21: $con_txt='אובך';	break;
	case 22: $con_txt='מעושן';	break;
	case 23: $con_txt='סוער ורועש';	break;
	case 24: $con_txt='רוחות';	break;
	case 25: $con_txt='קר';	break;
	case 26: $con_txt='מעונן';	break;
	case 27: $con_txt='לרוב מעונן (לילה\ערב)';	break;
	case 28: $con_txt='לרוב מעונן (יום\צהריים)';	break;
	case 29: $con_txt='מעונן חלקית (לילה\ערב)';	break;
	case 30: $con_txt='מעונן חלקית (יום\צהריים)';	break;
	case 31: $con_txt='בהיר';	break;
	case 32: $con_txt='שמשי';	break;
	case 33: $con_txt='בהיר (לילה\ערב)';	break;
	case 34: $con_txt='בהיר (יום\צהריים)';	break;
	case 35: $con_txt='גשום מעורב עם ברד';	break;
	case 36: $con_txt='חם';	break;
	case 37: $con_txt='עם סופות רעמים בודדות';	break;
	case 38: $con_txt='עם סופות רעמים פזורות';	break;
	case 39: $con_txt='עם סופות רעמים פזורות';	break;
	case 40: $con_txt='עם ממטרים פזורים';	break;
	case 41: $con_txt='שלג כבד';	break;
	case 42: $con_txt='עם ממטרים ושלג פזורים';	break;
	case 43: $con_txt='שלג כבד';	break;
	case 44: $con_txt='מעונן חלקית';	break;
	case 45: $con_txt='גשום עם סופות רעמים';	break;
	case 46: $con_txt='עם ממטרי שלג';	break;
	case 47: $con_txt='גשום עם סופות רעמים בודדות';	break;
	case 3200: $con_txt='לא זמין';	break;
	}
return $con_txt;
}


$weather_feed = file_get_contents("http://weather.yahooapis.com/forecastrss?w=".$dest_w_id."&u=c");
$weather = simplexml_load_string($weather_feed);
//if(!$weather) {die('לא הצלחתי להציג את מזג האוויר ב'.$tmp_dest_name.'');}
$y_copyright = $weather->channel->copyright;
$d_link = $weather->channel->item->link;

$channel_yweather = $weather->channel->children("http://xml.weather.yahoo.com/ns/rss/1.0");

foreach($channel_yweather as $x => $channel_item) 
	foreach($channel_item->attributes() as $k => $attr) 
		$yw_channel[$x][$k] = $attr;

$item_yweather = $weather->channel->item->children("http://xml.weather.yahoo.com/ns/rss/1.0");

foreach($item_yweather as $x => $yw_item) {
	foreach($yw_item->attributes() as $k => $attr) {
		if($k == 'day') $day = $attr;
		if($x == 'forecast') { $yw_forecast[$x][$day . ''][$k] = $attr;	} 
		else { $yw_forecast[$x][$k] = $attr; }
	}
}



$x_var= $yw_channel['location']['city'][0];
$y_var= $yw_channel['atmosphere']['humidity'][0];


$text = $yw_forecast['condition']['text'][0];
$code = $yw_forecast['condition']['code'][0];
$temp = $yw_forecast['condition']['temp'][0];
$date = $yw_forecast['condition']['date'][0];
$wind_speed = $yw_channel['wind']['speed'][0];
$wind_dir = $yw_channel['wind']['direction'][0];
$w_link = $channel_yweather['channel']['item']['link'][0];


if ( $wind_dir=='0' || $wind_dir=='360' ){$winDir='צפון';}
elseif ($wind_dir<45){$winDir='צפון, צפון מזרח';}
elseif ($wind_dir==45){$winDir='צפון מזרח';}
elseif ($wind_dir< 90){$winDir='מזרח, צפון מזרח';}
elseif ($wind_dir==90){$winDir='מזרח';}
elseif ($wind_dir< 135){$winDir='מזרח, דרום מזרח';}
elseif ($wind_dir==135){$winDir='דרום מזרח';}
elseif ($wind_dir<180){$winDir='דרום, דרום מזרח';}
elseif ($wind_dir==180){$winDir='דרום';}
elseif ($wind_dir<225){$winDir='דרום, דרום מערב';}
elseif ($wind_dir==225){$winDir='דרום מערב';}
elseif ($wind_dir<270){$winDir='מערב, דרום מערב';}
elseif ($wind_dir==270){$winDir='מערב';}
elseif ($wind_dir<315){$winDir='מערב, צפון מערב';}
elseif ($wind_dir==315){$winDir='צפון מערב';}
elseif ($wind_dir<360){$winDir='צפון, צפון מערב';}

$img1 ='http://l.yimg.com/us.yimg.com/i/us/we/52/'.$code.'.gif' ;

$sep_date= explode(' ', $date);
$EN_day= str_replace(',' ,'', $sep_date[0]);
$EN_date= $sep_date[1];
$EN_month= $sep_date[2];
$EN_year= $sep_date[3];
$EN_time= $sep_date[4];
if (strpos($date,'PM') !== false || strpos($date,'pm') !== false ) {
	$tmpHR=explode(':',$EN_time);
	$EN_time=' '.($tmpHR[0]+12).':'.$tmpHR[1];
}



$day= explode ('|', dayName($EN_day));
$HE_day=$day[0];
$day_num=$day[1];
	
	


$HE_month=MonthName($EN_month);



$today_con=HeCon($code);

$days_count=0;
$nxt_days_txt='';

	while ($days_count<2) {
	$nxt_day_num=$day_num+$days_count;
		if ($nxt_day_num>7){
		$nxt_day_num=$nxt_day_num-7;
		}
		switch ($nxt_day_num){
		case '1':  $nxt_HE_day='ראשון'; $nxt_EN_day='Sun'; break; 
		case '2':  $nxt_HE_day='שני'; $nxt_EN_day='Mon'; break;
		case '3':  $nxt_HE_day='שלישי'; $nxt_EN_day='Tue'; break;
		case '4':  $nxt_HE_day='רביעי';  $nxt_EN_day='Wed'; break;
		case '5':  $nxt_HE_day='חמישי'; $nxt_EN_day='Thu';  break;
		case '6':  $nxt_HE_day='שישי'; $nxt_EN_day='Fri'; break;
		case '7':  $nxt_HE_day='שבת'; $nxt_EN_day='Sat'; break;
		}
	$days_count++;
	$nxt_daye_code=$yw_forecast['forecast'][$nxt_EN_day]['code'];	
	$nxt_daye_con = HeCon($nxt_daye_code); 
	$nxt_daye_min = $yw_forecast['forecast'][$nxt_EN_day]['low'];
	$nxt_daye_max = $yw_forecast['forecast'][$nxt_EN_day]['high'];
	$nxt_days_txt.='<tr><td>'.$nxt_HE_day.'</td><td>'.$nxt_daye_con.'</td><td style="direction:ltr">'.$nxt_daye_min.' &deg;</td><td style="direction:ltr">'.$nxt_daye_max.' &deg;</td><td style="background-color:#EAF4FF"><img src="http://l.yimg.com/us.yimg.com/i/us/we/52/'.$nxt_daye_code.'.gif"></td></tr>';
	}

//$onMap=$map_dest;
//$fileBody='<body onload="workit(\''.$onMap.'|||'.$map_zoom.'\')">';

?>



<!--<div style="float:left; margin-left:10px;background:#EAF4FF; border:1px solid #990000"><img src="<?=$img1?>" width="40px" height="40px" /></div>-->
<h4 align="center">מזג האוויר הנוכחי ב<?=$hName?></h4>
<table align="center" width="95%" style="" style="height:32px; line-height:32px; font-size:14px">
<tr>
<td><img src="<?=$img1?>" width="40px" height="40px" style=" vertical-align:middle;margin-left:4px; display:inline-block" /></td><td><div style="display:inline-block; height:32px; line-height:16px;"> מזג האוויר כרגע ב<?=$hName?> <?=$today_con?> ,המעלות עומדות על <b> &deg;<?=$temp?></b>.<br>
  רוחות מכיוון <b><?=$winDir?></b>, במהירות <b><?=$wind_speed?> קמ"ש</b>.  אחוזי הלחות עומדים על <b><?=$y_var?>%</b> </div></td>
</tr></table>
<span class="f12"> * מידע נכון ליום <?=$HE_day?>, ה-<?=$EN_date?> ב<?=$HE_month?>, לשעה <?=$EN_time?> זמן מקומי </span>

<!--
כרגע מזג האוויר  ב<?=$hName?> הוא <b><?=$today_con?></b>, 
הטמפרטורות הנוכחיות ב<?=$hName?> עומדות על <b> &deg;<?=$temp?>  מעלות</b> צלזיוס<br />
הרוחות נעות במהירות <b><?=$wind_speed?> קמ"ש</b> מכיוון <b><?=$winDir?></b><br />
אחוזי הלחות הנוכחיים ב<?=$hName?> עומדים על <b><?=$y_var?>%</b>
-->
<h4>מזג האוויר ב<?=$hName?>   ליומיים הקרובים</h4>

<table align="center" width="95%" style="text-align:center" >
<th>יום</th>
<th>מזג אוויר</th>
<th>מינ' מעלות</th>
<th>מקס' מעלות</th>
<th>תמונת מזג אוויר</th>
<?=$nxt_days_txt?>

</table>

<br />
<a href="http://weather.yahoo.com" title="יאהו! מזג האוויר" target="_blank" rel="nofollow"><img src="http://l.yimg.com/a/i/brand/purplelogo//uh/us/news-wea.gif" border="0" height="15px" width="107px"></a>
<div style="float:left; font-size:12px; margin-left:5px"><a href="<?=$d_link?>" title="אתר יאהו!" target="_blank" rel="nofollow" >מזג אוויר ב<?=$hName?> ל5 ימים הקרובים (מתוך אתר יאהו!)</a></div>
<br />

